/* ================================
   Products Page Styles
   ================================ */

.products-seciton {
  padding: 104px 0 120px;
  background: url(/static/products/img/products-bg.jpg) no-repeat center;
  background-size: cover;
}

.products-header {
  text-align: center;
}

.products-header > h1 {
  font-size: 50px;
  line-height: 1.2;
}

.products-header > p {
  margin-top: 16px;
  font-size: 20px;
  color: #787878;
}

.products-links {
  display: flex;
  border-radius: 28px;
  overflow: hidden;
  margin: 40px auto;
}

.products-link-card {
  flex: 1 1 0;
  position: relative;
  aspect-ratio: 3 / 4;
  clip-path: polygon(14% 0%, 100% 0%, 86% 100%, 0% 100%);
  background: #ddd no-repeat center;
  background-size: cover;
}

.products-link-card:first-child {
  clip-path: polygon(0% 0%, 100% 0%, 86% 100%, 0% 100%);
}

.products-link-card:last-child {
  clip-path: polygon(14% 0%, 100% 0%, 100% 100%, 0% 100%);
}

.products-link-card:nth-child(1) {
  background-image: url(/static/products/img/products-1.jpg);
}

.products-link-card:nth-child(2) {
  background-image: url(/static/products/img/products-2.jpg);
}

.products-link-card:nth-child(3) {
  background-image: url(/static/products/img/products-3.jpg);
}

.products-link-card:nth-child(4) {
  background-image: url(/static/products/img/products-4.jpg);
}

.products-link-card:nth-child(5) {
  background-image: url(/static/products/img/products-5.jpg);
}

.products-link-card > a {
  position: absolute;
  inset: 0;
  display: block;
  color: transparent;
  transition:
    color 0.3s,
    background-color 0.3s;
  background-color: rgba(0, 0, 0, 0.2);
}

.products-link-card__inner {
  position: absolute;
  inset: 0 7%;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  transform: translate(-7%, calc(50% - 16px));
  transition: transform 0.3s;
}

.products-link-card:first-child .products-link-card__inner {
  left: 0;
}

.products-link-card:last-child .products-link-card__inner {
  right: 0;
}

.products-link-card__inner::after {
  content: "";
  display: block;
  position: absolute;
  inset: 50% 16px;
  border-top: 1px solid currentColor;
}

.products-link-card h2 {
  font-size: 40px;
  line-height: 1.2;
  color: #fff;
}

.en-page .products-link-card h2 {
  font-size: 24px;
  padding-top: 18px;
}

.products-link-card p {
  margin-top: 16px;
  font-size: 16px;
}

.en-page .products-link-card p {
  font-size: 14px;
}

.products-link-card > a:hover > .products-link-card__inner {
  transform: translate(0, 0);
}

.products-link-card > a:hover {
  background-color: rgba(0, 0, 0, 0.7);
  color: #fff;
}

.products-download {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 272px;
  height: 60px;
  border-radius: 30px;
  background-color: #6d6d67;
  color: #fff;
  font-size: 20px;
  margin: 0 auto;
}

.products-download span {
  padding: 0 32px;
  background: url(/static/products/img/right-arrow.png) no-repeat right center;
  background-size: 8px auto;
}

.brands-seciton {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: 584px;
  padding-top: 80px;
  background: #5583bb url(/static/products/img/brands-bg.jpg) no-repeat center;
  background-size: cover;
}

.brands-header {
  text-align: center;
  text-shadow: 1px 1px 4px rgba(255, 255, 255, 0.3);
}

.brands-header > h2 {
  font-size: 48px;
  line-height: 1.2;
}

.brands-header > p {
  margin-top: 16px;
  font-size: 24px;
}

.brands-links {
  flex-grow: 1;
  width: 100%;
  padding: 0 24px 24px;
  max-width: 880px;
  display: flex;
  flex-direction: column;
  align-items: end;
  justify-content: end;
  color: #fff;
  font-size: 20px;
  gap: 24px;
}

.brands-link-btn {
  text-align: center;
}

.brands-link-btn > a {
  display: block;
  width: 120px;
  height: 120px;
  border-radius: 50%;
  transition: background-color 0.15s;
}

.brands-link-btn > a:hover {
  background-color: rgba(255, 255, 255, 0.5);
}

.brands-link-btn > a > img {
  display: block;
  width: 100%;
  height: 100%;
}

.social-section {
  padding: 128px 0;
  text-align: center;
}

.social-section__container > h2 {
  font-size: 56px;
  line-height: 1;
}

.social-section__container > p {
  margin-top: 32px;
  font-size: 20px;
  color: #858585;
}

.social-section__body {
  margin-top: 40px;
  background: #ddd url(/static/products/img/social-section-bg.jpg) no-repeat
    center;
  background-size: cover;
}

.social-section__buttons {
  height: 412px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 32px;
}

.social-section__button {
  display: block;
  width: 65px;
  height: 65px;
  border-radius: 12px;
}

.social-section__button > img {
  display: block;
  width: 100%;
}

.social-section__divider {
  width: 2px;
  height: 88px;
  background-color: #fff;
}

/* Responsive - Mobile */
@media (max-width: 768px) {
  .products-seciton {
    padding: 40px 0 80px;
    background-image: url(/static/products/img/products-bg-m.jpg);
  }

  .products-header > h1 {
    font-size: 32px;
  }

  .products-header > p {
    margin-top: 12px;
    font-size: 16px;
  }

  .products-links {
    max-width: 560px;
    flex-direction: column;
    border-radius: 16px;
    gap: 4px;
  }

  .products-link-card {
    width: 100%;
    min-height: 160px;
    aspect-ratio: 7 / 2;
    clip-path: none !important;
  }

  .products-link-card > a {
    color: #fff;
    background-color: rgba(0, 0, 0, 0.4) !important;
  }

  .products-link-card__inner {
    inset: 0;
    padding: 0 24px;
    text-align: left;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    transform: translate(0, 0);
  }

  .products-link-card__inner::after {
    display: none;
  }

  .products-link-card h2 {
    font-size: 32px;
  }

  .en-page .products-link-card h2 {
    padding-top: 0;
  }

  .products-link-card p {
    margin-top: 0;
    font-size: 14px;
    text-align: right;
  }

  .en-page .products-link-card p {
    font-size: 12px;
  }

  .products-link-card p > br {
    display: none;
  }

  .en-page .products-link-card p > br {
    display: inline;
  }

  .products-download {
    width: 166px;
    height: 40px;
    border-radius: 20px;
    font-size: 14px;
  }

  .products-download span {
    padding: 0 16px;
    background-size: 5px auto;
  }

  .brands-seciton {
    background-image: url(/static/products/img/brands-bg-m.jpg);
  }

  .brands-header > h2 {
    font-size: 28px;
  }

  .brands-header > p {
    font-size: 14px;
  }

  .brands-links {
    flex-direction: row;
    align-items: start;
    justify-content: center;
    margin-top: 40px;
    font-size: 14px;
    gap: 20px;
  }

  .brands-link-btn > a {
    width: 84px;
    height: 84px;
  }

  .social-section {
    padding: 80px 0;
  }

  .social-section__container > h2 {
    font-size: 28px;
  }

  .social-section__container > p {
    margin-top: 16px;
    font-size: 16px;
  }

  .social-section__body {
    position: relative;
    margin-top: 100px;
    height: 172px;
  }

  .social-section__buttons {
    position: absolute;
    height: auto;
    left: 0;
    right: 0;
    top: -64px;
    gap: 12px;
  }

  .social-section__button {
    width: 36px;
    height: 36px;
    border-radius: 6px;
    box-shadow: 0 0 2px 0 rgba(0, 0, 0, 0.25);
  }

  .social-section__divider {
    height: 36px;
    background-color: #dfdeda;
  }
}
